=== debian/changelog ===
ros-humble-rmw-cyclonedds-cpp (1.3.4-1jammy) jammy; urgency=high

  * Export CycloneDDS dependency (#424 <https://github.com/ros2/rmw_cyclonedds/issues/424>) (#425 <https://github.com/ros2/rmw_cyclonedds/issues/425>)
  * Merge pull request #420 <https://github.com/ros2/rmw_cyclonedds/issues/420> from ros2/mergify/bp/humble/pr-410
  * Makes topic_name a const ref
  * Adds topic name to error msg when create_topic fails
  * Improve error message when create_topic fails (#405 <https://github.com/ros2/rmw_cyclonedds/issues/405>) (#406 <https://github.com/ros2/rmw_cyclonedds/issues/406>)
  * [Fix] Add cstring header for memset (#398 <https://github.com/ros2/rmw_cyclonedds/issues/398>)
  * Contributors: Homalozoa X, Tully Foote, Voldivh, mergify[bot]

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 07 Nov 2022 06:00:00 -0000

ros-humble-rmw-cyclonedds-cpp (1.3.3-1jammy) jammy; urgency=high

  * Fix get_topic_name and handling long service names
  * Contributors: Erik Boasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 06 Apr 2022 05:00:00 -0000

ros-humble-rmw-cyclonedds-cpp (1.3.2-1jammy) jammy; urgency=high

  * Add serialization for SDK_DATA
  * Additional checks for loan API
  * Contributors: Dietrich Krönke

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 05 Apr 2022 05:00:00 -0000

ros-humble-rmw-cyclonedds-cpp (1.3.1-1jammy) jammy; urgency=high

  * Depend on just rmw_dds_common::rmw_dds_common_library (#385 <https://github.com/ros2/rmw_cyclonedds/issues/385>)
  * Contributors: Shane Loretz

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 31 Mar 2022 05:00:00 -0000

ros-humble-rmw-cyclonedds-cpp (1.3.0-1jammy) jammy; urgency=high

  * Fix error message in rmw_init_options_copy(). (#380 <https://github.com/ros2/rmw_cyclonedds/issues/380>)
  * Add content filter topic feature empty stub. (#289 <https://github.com/ros2/rmw_cyclonedds/issues/289>)
  * Update to work with Cyclone 0.9.0 and Iceoryx 2.0 (#379 <https://github.com/ros2/rmw_cyclonedds/issues/379>)
  * Fill message info sequence numbers as unsupported, add rmw_feature_supported() implementation. (#381 <https://github.com/ros2/rmw_cyclonedds/issues/381>)
  * Contributors: Chen Lihui, Haowei Wen, Ivan Santiago Paunovic, Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 25 Mar 2022 05:00:00 -0000

ros-humble-rmw-cyclonedds-cpp (1.2.0-1jammy) jammy; urgency=high

  * Fix a warning by making a pointer nullptr. (#375 <https://github.com/ros2/rmw_cyclonedds/issues/375>)
  * Bump QDs to QL2 (#371 <https://github.com/ros2/rmw_cyclonedds/issues/371>)
  * Add EventsExecutor (#256 <https://github.com/ros2/rmw_cyclonedds/issues/256>)
  * Call dissociate_reader in rmw_destroy_subscription
  * Wrap creation of new serdata_rmw within a try-catch block
  * Fix memory leak in error scenario on the publish side with SHM
  * Fix memory leaks on the take side with SHM
  * rename _cyclonedds_has_shm to follow the convention
  * Add iceoryx_binding_c as dependency to rmw_cyclonedds_cpp
  * Release iox_chunk to iceoryx in serdata_free if the iox_chunk is still available
  * Update iceoryx_subscriber also when constructing the serdata from the iox chunk
  * Contributors: Chris Lalancette, Christophe Bedard, Erik Boasson, Sumanth Nirmal, iRobot ROS

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-rmw-cyclonedds-cpp (1.1.2-1jammy) jammy; urgency=high

  * Fix cpplint errors (#363 <https://github.com/ros2/rmw_cyclonedds/issues/363>)
  * Contributors: Jacob Perron

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-rmw-cyclonedds-cpp (1.1.1-1jammy) jammy; urgency=high

  * Updates for uncrustify 0.72 (#358 <https://github.com/ros2/rmw_cyclonedds/issues/358>)
  * Export only rmw::rmw to downstream targets (#360 <https://github.com/ros2/rmw_cyclonedds/issues/360>)
  * Export modern CMake targets (#357 <https://github.com/ros2/rmw_cyclonedds/issues/357>)
  * Free with the same allocator in rmw_destroy_node (#355 <https://github.com/ros2/rmw_cyclonedds/issues/355>)
  * Contributors: Chris Lalancette, Jacob Perron, Shane Loretz

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 17 Dec 2021 06:00:00 -0000

ros-humble-rmw-cyclonedds-cpp (1.1.0-1jammy) jammy; urgency=high

  * Add client/service QoS getters. (#343 <https://github.com/ros2/rmw_cyclonedds/issues/343>)
  * Updated version number and quality level. (#349 <https://github.com/ros2/rmw_cyclonedds/issues/349>)
  * Update package maintainers. (#351 <https://github.com/ros2/rmw_cyclonedds/issues/351>)
  * Contributors: Joe Speed, Michel Hidalgo, mauropasse

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 19 Nov 2021 06:00:00 -0000

ros-humble-rmw-cyclonedds-cpp (1.0.0-1jammy) jammy; urgency=high

  * Fix undesired memory initialization in zero-copy data path. (#348 <https://github.com/ros2/rmw_cyclonedds/issues/348>)
  * Fix QoS depth settings for clients/service being ignored. (#340 <https://github.com/ros2/rmw_cyclonedds/issues/340>)
  * Link to Cyclone DDS in Quality Declaration. (#342 <https://github.com/ros2/rmw_cyclonedds/issues/342>)
  * Contributors: Chen Lihui, Erik Boasson, Joe Speed, Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 25 Oct 2021 05:00:00 -0000

ros-humble-rmw-cyclonedds-cpp (0.24.0-1jammy) jammy; urgency=high

  * Update rmw_context_impl_t definition (#337 <https://github.com/ros2/rmw_cyclonedds/issues/337>)
  * Add quality declaration for rmw_cyclonedds_cpp (#335 <https://github.com/ros2/rmw_cyclonedds/issues/335>)
  * Fix use of deprecated is_loan_available (#336 <https://github.com/ros2/rmw_cyclonedds/issues/336>)
  * Add -latomic for RISC-V (#332 <https://github.com/ros2/rmw_cyclonedds/issues/332>)
  * Add pub/sub init, publish and take instrumentation using tracetools (#329 <https://github.com/ros2/rmw_cyclonedds/issues/329>)

